CraftBukkit 1.2.3-R0.1 is now available!

Discussion in 'Bukkit News' started by EvilSeph, Mar 4, 2012.

Thread Status:
Not open for further replies.
  1. Offline

    EvilSeph Retired Staff

    A new CraftBukkit Beta Build 1.2.3-R0.1 (#2034) that provides Minecraft 1.2.3 compatibility is now available. As always, please remember to backup your servers before updating, just in case.

    Will plugins break with this build?
    Unless the plugin developers of your plugins have been keeping up with Bukkit development, plugins will most likely be broken due to the recent optimisation and cleaning of our code.

    What is a Beta Build?
    A Beta Build is in between a developer build and a Recommended Build. These builds simply work and are promoted much more frequently than a Recommended Build. While we will do some testing before promoting a beta build, we will not be running it through our extensive test process. As such, there are no guarantees that they will not contain minor bugs. If we do find out they are broken, we will mark it as such on DLB and promote a new one. A beta build may contain incomplete API and new features but they should not interfere with running the build in any way.

    Now that a beta has been promoted, we'll be working on new features, API and more fixes for a Recommended Build.

    Known Issues:
    • Entities can't be interacted with after login (vanilla issue).
    • Strange chunk generation artifacts on the client.
    For more detailed information on what is contained in this update, please see the changelog here

    Download CraftBukkit 1.2.3-R0.1 here
     
  2. Offline

    Milk_Man

    Iminent, is this for when your whole map is missing things? Because in 1.1 I have the full map, when I go 1.2, its missing features
     
  3. Offline

    KinglikeNick

    Thanks Bukkit Team! People are anxious to play on my server, of course, the plugins have to update...

    They wont exactly break, they just wont work with the current minecraft version...

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 24, 2016
  4. Offline

    TnT Retired Staff

    A lot of plugins do work, some do not.

    Best to test them all on a test box first.
     
    efstajas likes this.
  5. Offline

    SnaKing_IvY

    F YAA THX MAN THIS IS AWSOME i love bukkit and have bin waiting for the update thx and great job:)
     
  6. Offline

    BL0RB

    k ... got everything running but my plugins :S ... are you going to put out another bukkit update so they will work or do we need to get an update from the makers of the plugins?
     
  7. Offline

    ImminentFate

    yes, when you upgrade your map to 1.2, it won't have the new jungles, or stuff, unless you go to an unexplored chunk.
    I would suggest moving all your structures into a brand new map.
     
  8. Offline

    trobs5

  9. Offline

    ImminentFate

    yeah, just realized worldedit won't work, unless you use a beta version
     
  10. Offline

    The Commander

    Yes, the plugins have to be updated.
    Most of the major plugins have been updated to work so far.
     
  11. Offline

    ImminentFate

    Plugins on my server that run without issues:
    Orange ones are Dev, Green are official, black just works

    Backup
    bPermissions
    ChestShop
    Citizens
    CommandBook
    Courier
    CraftBukkituptoDate
    Dynmap
    GiantTrees
    godPowers
    iConomy
    jEnchant
    Lumberjack
    LWC
    MemMonitor
    MobDisguise
    MoneyDrop
    Questioner
    Sortal
    Spectate
    SWatchdog
    Towny
    TownyChat
    Turnstile
    Vault
    WeatherSync
    WebGUI(bPermissions)
    WorldEdit
    WorldGuard
     
    efstajas and ReaZaaa like this.
  12. Offline

    Whee1717

    All plugins i have sofar using for 1.1, are working on 1.2.3 exept for 1 :)
     
  13. Offline

    raistlinhunted

    Is it fair to say that plugins that are tagged compatible for "1.1-R5" and 1.1-R6" work on Bukkit 1.2 beta0.1? It is my understanding that Bukkit's API was recoded in R5, so in theory this should be true.

    Also, anybody test Essentials? I see two of my three must have plugins, LWC and Towny, are working (per ImmenentFate above) but I would like to hear feedback regarding Essentials. My secondary plugins (we have about 2 dozen) can be temporarily disabled until a version is available, but we simply cannot go without core commands and protections.

    Also, I have not reset my map/plugin data since October 2011 (Beta) and allowed the server software to update the map during each upgrade (beta -> 1.0 -> 1.1 -> 1.2 (pending)). I realize that newly added biomes will only generate in unexplored areas (which can be mitigated by moving my spawn to an unexplored area). Anybody experience any other issues with upgrading their maps vs. clean wipe? I REALLY do not want to have to wipe thousands of hours of player time/effort if it is at all possible.

    Any feedback would be appreciated.
     
  14. Offline

    Silvanarix

    Ya, plugins/mods whichever name you prefer. They are the same thing, both "modify" gameplay. You need to update your "plugins".
     
  15. Offline

    Zego

    Raistlin:

    I'm using the Essentials dev build 2.9.33 and I've not had any problems with it. I see 2.9.36 is out now.

    I had GroupManager issues where I lost some custom groups and the user's memberships. I had a backup of the global file, but due to some unfortunately named directories I lost my backup of the world specific user permissions, but I think just loading those in would have restored their memberships.

    I'm also using LWC. I lost some permissions on the upgrade, but not all of them.
     
  16. Offline

    julesm74

    Hi
    I discovered a bug cheat
    when you put the item on its barrier multiplies
    as we see below if
    I am French
     

    Attached Files:

  17. Offline

    Deadwing

    Heh, that would be great advice if I was 30 years younger. I don't really have the time to learn Java and then Bukkit API so that I can rewrite 15+ plugins including monsters like WorldEdit and NoLagg.
     
    Zego likes this.
  18. Offline

    bpdenverco

    any ideal when a standard release mat be out, my server provider, does not want to install betas.....(the jerks)
     
  19. Offline

    Jeroeny

    Omg nice but still waiting for RB 1.2. Normally it takes about a week, but since they are wit mojang it takes more than 2! :confused:
     
  20. Offline

    Sayshal

    About a week...?
    1.0 took 3 1/2
    1.1 took 2 1/2
    Plus this beta build is really safe. No issues from my plugins.
     
  21. Offline

    JRkkTheGamer

    Java 7?
     
  22. Offline

    benfou

    The Plugin Essentials is back to the 1.2.3 version ?

    (scuse me , i'm french)
     
  23. Offline

    Dkaffeine

    benfou: There's a dev build (2.9.xx) which is compatible with CB 1.2.3

    About plugin optimisation / code clean: some people angry about that. But it's not first time that a library project decides to clean parts of his code (for who knows, I mean about transition between gcc 4.2 and gcc 4.3). Just have to make clean code and to keep an eye about library plugin.
     
  24. Offline

    Tanite

    How can we see the changes from dev build to dev build (or from this beta build to the current dev build)? The comparison still seems busted and the ci site is once again locked down.
     
  25. Offline

    ShadowDrakken

    C
    CI is deprecated, use DL ( http://dl.bukkit.org/ )
     
  26. Offline

    warisuponyou

    Awesome! Thanks for your dedication guys! Beta is running stable aside from one or two little things.
     
  27. Offline

    Tanite

    Yes, I know it's deprecated. What I'm saying is that dl.bukkit.org seems to loop endlessly when you try to compare changes between 2 builds:

    I know there were problems with it before ( http://forums.bukkit.org/threads/introducing-dl-bukkit-org.59836/page-2#post-963491 ) but I was hoping they were sorted out again before they re-shut-off CI.

    And now, some Dr. Evil: "Throw me a frickin' bone here! I'm the boss! Need the info."

    Need the info, please :)
     
  28. Offline

    MrGrumble

  29. Offline

    MIX4

    Спасибо, правда как установить разбирался пол часа)
     
  30. its a server, it will run, but it will be buggy and like no plugins will work on it until the plugins are updated.
     
  31. Offline

    budpup67

    I know that it will be out when its ready but i would like to know a predicted time as of when the bukkit 1.2.3 will become reccomended. The host of my server wont let me update untill it is reccomended build. Can someone please give me a guess at wen it will be out?
     
Thread Status:
Not open for further replies.

Share This Page